health-check (0.04.01-1) unstable; urgency=medium

  * debian/control: update to standards version 4.7.0
  * syscall: fix incorrect order of params to calloc calls
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 3 Jan 2025 20:43:17 +0000

health-check (0.04.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove .xz tarball on make clean rule
  * syscall: add more locking around fc->filename on dup call
  * syscall: add missing system calls
  * syscall: fix out-of-bounds access into syscall array
  * stress-syscall: add missing lock around fc->filename access

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 19 Jan 2024 15:57:44 +0000

health-check (0.03.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: use xz compression on tarball for make dist rule
  * Update copyright year
  * debian/control: update standards version to 4.6.2
  * Check for array bounds limit while parsing pid length string
  * debian/rules: add hardening flags

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 10:59:37 +0000

health-check (0.03.11-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall.c: remove empty line
  * json.c, net.c: define _GNU_SOURCE
  * debian/control: update standards version to 4.6.1
  * syscall: memset regs structures and add const to arrays
  * syscall: various constifications of units pointers
  * json.c: constify 1st argument in j_obj_is_null function
  * syscall: use strlcpy instead of unsafe strncpy
  * Update copyright

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 7 Dec 2022 14:43:44 +0000

health-check (0.03.10-1) unstable; urgency=medium

  * Makefile: bump version
  * sources: update copyright
  * Makefile: update copyright
  * Makefile: add README.md to make dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md
  * syscall: clean up static analysis warning
  * timeval: ensure multiplication is 64 bit to avoid 32 bit overflow
  * update copyright to 2021

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Nov 2021 22:09:23 +0000

health-check (0.03.09-1) unstable; urgency=medium

  * Makefile: bump version
  * net: don't throw warning messages when /proc file can't be opened

 -- Colin King <colin.king@canonical.com>  Mon, 3 Aug 2020 15:33:11 +0100

health-check (0.03.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 11:26:32 +0100

health-check (0.03.07-1) unstable; urgency=medium

  * Makefile: bump version
  * net.c: move declaration of send_total recv_total fix build failure

 -- Colin King <colin.king@canonical.com>  Fri, 24 Apr 2020 15:06:12 +0100

health-check (0.03.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 17:28:55 +0000

health-check (0.03.05-1) unstable; urgency=medium

  * Makefile: bump version
  * pid: sanity check for null return from basename call
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Mon, 13 Jan 2020 15:05:11 +0000

ealth-check (0.03.04-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: handle a null return from localtime
  * set *inode to zero to clear up a static analysis false warning
  * ignore return from proc_pids_add_proc
  * net: pass size of link string in net_get_inode_by_path

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 13:00:01 +0000

health-check (0.03.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 19:04:07 +0100

health-check (0.03.02-1) unstable; urgency=medium

  * Update release in .travis.yml file
  * Add libbsd to travis.yml

 -- Colin King <colin.king@canonical.com>  Wed, 10 Jul 2019 07:44:12 +0100

health-check (0.03.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Use safer strlcpy instead of strncpy
  * Remove events.h and references to timer stats
  * Fix buffer truncation warnings from gcc-9
  * Update copyright year
  * Specify trusty in travis file
  * Replace yes with true in travis file, doh
  * Add older package name for json c
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Fri, 14 Jun 2019 14:10:11 +0100

health-check (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version to 3.0
  * debian/copyright: use secure URI
  * debian/compat: update to 11
  * debian/control: set debhelper version to >=11
  * debian/control: remove empty last line
  * remove event metrics since newer kernels don't support this API

 -- Colin King <colin.king@canonical.com>  Sat, 16 Jun 2018 19:55:12 +0100

health-check (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.1.2
  * health-check: unconstify metadata to clean up build warning
  * syscall: remove extraneous pid_size declaration
  * fnotify: fix build warning, include <sys/sysmacros.h>
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Fri, 5 Jan 2018 10:35:36 +0000

health-check (0.02.08-1) unstable; urgency=medium

  * Remove libson0-dev dependency, causes FTBFS
  * Makefile: bump version

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 19:25:11 +0100

health-check (0.02.07-1) unstable; urgency=medium

  * Update version
  * Update to Standards-Version: 4.1.1
  * Make libjson dependency more flexible (libjson0-dev or
    libjson-c-dev)

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 13:58:02 +0100

health-check (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Add variable pid size handling.
  * syscall: cast pid to unsigned long to ensure hash does not overflow
  * Remove duplicate check on fnotify_files.head

 -- Colin King <colin.king@canonical.com>  Sat, 15 Apr 2017 08:32:38 +0100

health-check (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: line break on OBJS line
  * voidify returns from close, fclose, closedir, etc
  * Update copyright year
  * Remove alloc shim for debugging heap.
  * syscall: fix inconsistent indenting

 -- Colin King <colin.king@canonical.com>  Fri, 6 Jan 2017 10:46:12 +0000

health-check (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * json: fix comment
  * syscall: fix shadowing warnings
  * Move procs_traced declaration to after the header includes
  * syscall: fix shadowing of string tmp
  * Makefile: remove status.[cho], it's not required as yet
  * fnotify: fix some shadowing on link pointer l
  * fnotify: make helper function static
  * fnotify: add some constifications
  * event: use floating point FLOAT_CMP macro for zero compare
  * event: add some more constifications
  * cpustat: use floating point FLOAT_CMP macro for zero compare
  * cpustat: add some constifications
  * health-check.h: add math.h
  * health-check: make helper function static
  * syscall: use FLOAT_CMP for float compare != 0
  * syscall: make helper functions static
  * ctxt-switch: use FLOAT_CMP to compare float against zero
  * ctxt-switch: add some constifications
  * mem: use FLOAT_CMP for float comparison to zero
  * mem: add some constifications
  * syscall: use floating point FLOAT_CMP macro for zero compare
  * syscall: more constifications
  * syscall constify pointers
  * compare floating point values with a little bit of slop
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Tue, 1 Nov 2016 19:39:11 -0600

health-check (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update Standards-Version to 3.9.8
  * Use strtok instead of strtok_r

 -- Colin King <colin.king@canonical.com>  Tue, 4 Oct 2016 10:17:43 +0100

health-check (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * fix gcc compile warning when building at -O2
  * Makefile: use -O2 optimization by default
  * Makefile: remove -g flag
  * net: remove code that has been #if'd out
  * Clean up some white space formatting in source
  * syscall: fix indentation
  * Update copyright year to 2016

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jan 2016 17:36:02 +0000

health-check (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: clear args buffer, cleans up static analysis warnings
  * Fix misc warnings found by static analysis
  * Remove redundant list scan in pid_list_get_children
  * Remove redundant initialisation of count

 -- Colin King <colin.king@canonical.com>  Tue, 8 Sep 2015 18:46:00 +0100

health-check (0.02.00-1) unstable; urgency=medium

  * Debian: copyright: update year to 2015
  * Debian: control: add arm64 arch (Closes: #791950)
  * Add a more optimized filename hashing function

 -- Colin King <colin.king@canonical.com>  Fri, 10 Jul 2015 12:07:12 +0100

health-check (0.01.63-1) unstable; urgency=medium

  * Makefile: bump version
  * Documentation: add copyright, update date
  * Makefile: add copyright
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 14:08:00 +0100

health-check (0.01.62-1) unstable; urgency=medium

  * debian/control: update Standards-Version to 3.9.6
  * Makefile: bump version
  * Use POSIX getnameinfo rather than obsolete gethostbyaddr
  * Fix -w -W man page options
  * Some inlining, makes critical syscall path slightly faster
  * syscall.h remove C11 style typedef on forward defined syscall_t
  * net.c: #define out net_hash_find_inode

 -- Colin King <colin.king@canonical.com>  Fri, 14 Nov 2014 14:08:00 +0000

health-check (0.01.61-1) unstable; urgency=medium

  * Makefile: bump version
  * Check for invalid number of syscalls, make it long int
  * proc: use strtol rather than atoi to catch overflow/underflow

 -- Colin King <colin.king@canonical.com>  Mon, 19 May 2014 00:29:00 +0100

health-check (0.01.60-1) unstable; urgency=medium

  * Makefile: bump version
  * net: set addr_info to NULL and check
  * event: make failed write to /proc/timer_stats non-fatal

 -- Colin King <colin.king@canonical.com>  Fri, 25 Apr 2014 11:46:01 +0100

health-check (0.01.59-1) unstable; urgency=medium

  * Makefile: bump version
  * Update build-depends from libjson0-dev to libjson-c-dev (Closes: #745004)
  * Makefile: use libjson-c
  * Use json-c, so change header path
  * net: fix up dump_info allocation
  * net: add netlink, udp6, tcp6 and handle protos we don't find.

 -- Colin King <colin.king@canonical.com>  Thu, 17 Apr 2014 11:16:11 +0100

health-check (0.01.58-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: fix infinite loop on filename lookup

 -- Colin King <colin.king@canonical.com>  Thu, 3 Apr 2014 10:08:47 +0000

health-check (0.01.57-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix make dist, use plain old tar to omit debian contents
  * syscall: fix memory leak on filename

 -- Colin King <colin.king@canonical.com>  Thu, 20 Mar 2014 11:45:11 +0000

health-check (0.01.56-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix inotify breakage, it was not fully enabled because of macro
  * Add more file proc specific information to output
  * syscall: temporarily disable exec tracing
  * Add json logging for inotify and exec files
  * syscall: Add usec output to json output
  * syscall: add microsecond syscall accounting
  * syscall: Add inotify watch and exec filename tracking

 -- Colin King <colin.king@canonical.com>  Wed, 12 Mar 2014 20:29:31 +0000

health-check (0.01.55-1) unstable; urgency=medium

  [Colin King <colin.king@canonical.com]
  * Makefile: bump version.
  * debian/control: Disable building on x32.
  * Disable syscall handling for x32 mode.
  * Add first cut of __aarch64__ support.
  * Make fnotify optional depending on arch.

  [Adam Conrad <adconrad@ubuntu.com>]
  * debian/control: Also enable building on x32, ppc64, and ppc64el.
  * debian/control: Drop redundant 'linux-' prefixes from arch list.

 -- Colin King <colin.king@canonical.com>  Tue, 18 Feb 2014 17:05:43 +0000

health-check (0.01.54-1) unstable; urgency=medium

  * Makefile: bump version
  * Include linux/ptrace.h to fix FTBFS on ARM

 -- Colin King <colin.king@canonical.com>  Mon, 17 Feb 2014 11:00:12 +0000

health-check (0.01.53-1) unstable; urgency=medium

  * Makefile: bump version
  * Add linux-powerpc to Architecture in debian/control
  * Make event handling arch specific
  * syscall.c: add powerpc support

 -- Colin King <colin.king@canonical.com>  Fri, 14 Feb 2014 14:06:22 +0000

health-check (0.01.52-1) unstable; urgency=medium

  * Makefile: bump version
  * debian: use linux-armel linux-armhf arch in control
  * Fix debian control description

 -- Colin King <colin.king@canonical.com>  Tue, 11 Feb 2014 18:31:57 +0000

health-check (0.01.51-1) unstable; urgency=medium

  * Makefile: bump version
  * fnotify.c: remove commented out code
  * mem.h: add more comments
  * syscall.h: add some more comments
  * net.h: remove extraneous line
  * alloc.h: remove extraneous line
  * syscall.c: cast to (void) for mem_brk_account return
  * alloc.c: include alloc.h
  * net.c, net.h: include net.h, fix up net_connection_dump prototype
  * Fix Debian copyright to GPL-2+

 -- Colin King <colin.king@canonical.com>  Wed, 5 Feb 2014 15:06:23 +0000

health-check (0.01.50-1) unstable; urgency=medium

  * Initial Debian release (Closes: #737561)
  * Add COPYING file
  * Update copyright boiler plate
  * Correct debian source format
  * Update man page
  * Makefile: bump version
  * Debian: update standards version
  * Make syscall dependent on arch

 -- Colin King <colin.king@canonical.com>  Tue, 28 Jan 2014 09:15:12 +0000

health-check (0.01.49) trusty; urgency=low

  * Makefile: bump version
  * fix debug message that was on by default

 -- Colin King <colin.king@canonical.com>  Tue, 14 Jan 2014 14:04:00 +0000

health-check (0.01.48) trusty; urgency=low

  * Makefile: bump version
  * Account for exiting processes correctly.
  * mem.c: don't account for null address brks
  * Forgot to add changes that include OPT_DURATION
  * Run forever if checking an executable
  * Update man page for -d 0 option
  * health-check: run forever if -d option is zero
  * Fix man page

 -- Colin King <colin.king@canonical.com>  Tue, 14 Jan 2014 13:46:53 +0000

health-check (0.01.47) trusty; urgency=low

  * Makefile: bump version
  * debian/control: fix architectures
  * Minor fixes to stop some build warnings
  * Fix j_net_test warning
  * event.c: avoid possible scanf overruns
  * net.c: avoid possible scanf overruns
  * cpustat.c: avoid possible scanf overruns
  * mem.c: avoid possible scanf overruns
  * avoid undefined behaviour with void * ptr differences
  * proc.c: avoid possible scanf overruns
  * move scope of total_locked_duration
  * Use correct printf specifiers for size_t
  * remove unused function fnotify_is_syspower
  * Add debian watch file
  * Update debian control and add homepage info
  * Ensure we build just for x86 and ARM for the moment
  * Update debian compat and rules
  * syscall: fix build error on trusty
  * Update copyright dates

 -- Colin King <colin.king@canonical.com>  Thu, 9 Jan 2014 14:47:11 +0000

health-check (0.01.46) saucy; urgency=low

  * Makefile: bump version
  * fnotify: fix missing a load of fnotifies

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2013 15:03:46 +0000

health-check (0.01.45) saucy; urgency=low

  * Fix dates in changelog
  * Makefile: bump version again

 -- Colin King <colin.king@canonical.com>  Tue, 12 Oct 2013 14:03:01 +0000

health-check (0.01.44) saucy; urgency=low

  * Makefile: bump version
  * fnotify.c: JSON access-count-total-rate should be double
  * Add test helper health-check-test-pid.py

 -- Colin King <colin.king@canonical.com>  Tue, 13 Oct 2013 14:03:01 +0000

health-check (0.01.43) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: force json output when no polls occur
  * mem.c: avoid build warning when building with JSON disabled
  * cpustat.c: correct cpustat json label
  * net.c: fixup coverity scan issue
  * cpustat.c: fix thinko in json user cpu label
  * mem.c fixup json label names
  * syscall: fixup some json name errors and null ptr derefs
  * fnotify.c: rename rate-total to total-rate
  * fnotify.c: rename access-count-rate-total to access-count-total-rate
  * ctx-switch.c: rename context-switch-rate-total to context-switch-total-rate
  * events.c: rename wakeup-rate-total -> wakeup-total-rate
  * mem.c: fix warnings on JSON less build
  * event.c: fix warnings on JSON less build
  * syscall.c: fix warnings on JSON less build
  * net.c: fix warnings on JSON less build
  * Add heavy waklock json output
  * mem.c: handle memory total deltas as signed 64 bit ints
  * fnotify.c: fix json type adding and add wakelock json reporting
  * syscall: add file sync json stats
  * net: add total send/recv json stats
  * cpustat.c: fix json cpu totals, got user/system/total mixed up
  * fnotify: ouput json data even when no ops are detected
  * mem.c: Add total memory stats for json output
  * cpustat: add total rates of page faults

 -- Colin King <colin.king@canonical.com>  Mon, 11 Oct 2013 15:57:52 +0000

health-check (0.01.42) saucy; urgency=low

  * Makefile: bump version
  * mem.c: fix formatting of change in memory
  * syscall: handle failed attaching to processes
  * mem: report heap as heap, not as mapped

 -- Colin King <colin.king@canonical.com>  Thu, 31 Oct 2013 22:23:24 +0000

health-check (0.01.41) saucy; urgency=low

  * Makefile: bump version
  * syscall: i386 tracing not working because multiply by 8 and not 4

 -- Colin King <colin.king@canonical.com>  Thu, 31 Oct 2013 16:45:33 +0000

health-check (0.01.40) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: fix unreachable code

 -- Colin King <colin.king@canonical.com>  Wed, 23 Oct 2013 08:17:23 +0100

health-check (0.01.39) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: Make syscall enter/return more intelligent
  * syscall.c: Add sync_file_range sync tracing

 -- Colin King <colin.king@canonical.com>  Tue, 22 Oct 2013 20:27:10 +0100

health-check (0.01.38) saucy; urgency=low

  * Makefile: bump version
  * Add pagefault accounting
  * syscall: add sendmsg recvmsg handling

 -- Colin King <colin.king@canonical.com>  Fri, 11 Oct 2013 23:55:52 +0100

health-check (0.01.37) saucy; urgency=low

  * Makefile: bump version
  * net: fix per process network tracing and add data tx/rx stats
  * mem.c: fix json obj bug
  * syscall: re-work call/return callback functions
  * fnotify abort should clean up rather than bail out on exit
  * Emit newline if interrupted with SIGINT
  * cpustat: explain CPU consumption a little better
  * Rework out of memory error handling.

 -- Colin King <colin.king@canonical.com>  Fri, 11 Oct 2013 17:46:11 +0100

health-check (0.01.36) saucy; urgency=low

  * Makefile: bump version
  * net: add UNIX socket protocol
  * mem: sort memory sizes correctly
  * syscall: rank syscall activity in pid then count order

 -- Colin King <colin.king@canonical.com>  Mon, 7 Oct 2013 22:57:58 +0100

health-check (0.01.35) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: Add some more comments
  * proc.c: Add some more comments
  * mem: Add some more comments
  * mem: constify a bit more
  * fnotify.c: add some more comments
  * ctxt-switch: add some more comments
  * Fix copy-n-paste error on man page

 -- Colin King <colin.king@canonical.com>  Wed, 25 Sep 2013 20:25:20 +0100

health-check (0.01.34) saucy; urgency=low

  * Makefile: bump version
  * Fix ARM builds that don't have mmap2
  * Fix 32 bit arm warnings

 -- Colin King <colin.king@canonical.com>  Wed, 25 Sep 2013 15:31:35 +0100

health-check (0.01.33) saucy; urgency=low

  * Makefile: bump version again
  * mem.c: Remove some debugging cruft

 -- Colin King <colin.king@canonical.com>  Wed, 25 Sep 2013 14:58:49 +0100

health-check (0.01.32) saucy; urgency=low

  * Makefile: bump version
  * mem: add mmap accounting
  * mem: add brk heap tracing
  * syscall: use thread cancellation to tidy up when stopped

 -- Colin King <colin.king@canonical.com>  Wed, 25 Sep 2013 14:30:57 +0100

health-check (0.01.31) saucy; urgency=low

  * Makefile: bump version
  * Remove some debug cruft

 -- Colin King <colin.king@canonical.com>  Wed, 18 Sep 2013 23:51:11 +0100

health-check (0.01.30) saucy; urgency=low

  * Makefile: bump version
  * Fix ptrace detaching issues

 -- Colin King <colin.king@canonical.com>  Wed, 18 Sep 2013 10:44:22 +0100

health-check (0.01.29) saucy; urgency=low

  * Makefile: bump version once more
  * constify net funcs
  * constify mem_* funcs
  * Rename event vars to something more sensible
  * Rename ctxt-switch vars to something more sensible
  * Rename CPU stat vars to something more sensible
  * Fix alloc helper
  * Add extra \n for "None." messages

 -- Colin King <colin.king@canonical.com>  Mon, 16 Sep 2013 23:22:11 +0100

health-check (0.01.28) saucy; urgency=low

  * Makefile: bump version
  * Free sync file info
  * Do poll accounting only on syscalls that do polling.
  * Add sync, fdatasyc, fsync and syncfs accounting
  * Ensure we do sys_write, sys_close and sys_exit handling if they exist
  * Add -f option, tidy up help a little.

 -- Colin King <colin.king@canonical.com>  Mon, 16 Sep 2013 17:01:46 +0100

health-check (0.01.27) saucy; urgency=low

  * Makefile: bump version
  * Remove stat and eliminate potential TOCTOU race
  * Fix small memory leak
  * Make fnotify monitoring optional so we can valgrind health-check
  * Free up sorted items in mem
  * Use a hash table for faster proc lookups
  * rename proc_cache to proc_cache_list
  * Improve pid to syscall context lookup by using a hash table

 -- Colin King <colin.king@canonical.com>  Fri, 13 Sep 2013 17:00:01 +0100

health-check (0.01.26) saucy; urgency=low

  * Makefile: bump version
  * Minor clean up of error messages.
  * Add out of memory helper, add better feedback when we run out of memory

 -- Colin King <colin.king@canonical.com>  Fri, 13 Sep 2013 10:37:05 +0100

health-check (0.01.25) saucy; urgency=low

  * Makefile: bump version and update header dependencies
  * timeval.c should include timeval.h
  * alloc.c should include alloc.h
  * Tidy up mem source
  * Tidy up fnotify a little
  * Calculate CPU load on overall run duration time
  * Remove redundant timeval conversion helper
  * Calculate switch rate on overall run time.

 -- Colin King <colin.king@canonical.com>  Fri, 13 Sep 2013 00:04:21 +0100

health-check (0.01.24) saucy; urgency=low

  * Makefile: bump version
  * Don't double increment the point by skiplen
  * Make path parsing stronger
  * Avoid possible argv[0] strcpy buffer overflow
  * Fix build issue
  * Forgot to add changes to ctxt-switch.h
  * Remove redundant proc finish calls now we do this in exit
  * Account for duration of process life for context switch accounting
  * Do final process accounting on exit
  * Add context switch per proc updates
  * Fix some CPU stat formatting and output
  * Get correct CPU stat durations when processes die
  * Check for new procs and add them to CPU stats
  * syscall: Add new net connections on new process
  * Minor tidyup
  * Hide proc_cache list from health check main
  * Hide fnotify_wakelocks from health check main
  * Hide fnotify_files list from health check main
  * Hide context switch lists from health check main
  * Forgot to remove cpustat lists
  * Hide cpustat lists from health check main
  * Hide event lists from heath check main
  * Hide mem lists from health-check main
  * Add proc state
  * Re-work ptrace, simplify, remove need for multiple threads
  * Add simple heap debugging shim
  * Update man page
  * Update short help info
  * Add in ability to trace a given program
  * ctxt-switch: Fix message when no context switches are detected

 -- Colin King <colin.king@canonical.com>  Thu, 12 Sep 2013 21:13:44 +0100

health-check (0.01.23) saucy; urgency=low

  * Makefile: bump version
  * Update manual to add in new options
  * json.c: cater for older json-c that doesn't have json_object_new_int64
  * health-check: don't use pretty printing json if it does not exist

 -- Colin King <colin.king@canonical.com>  Fri, 6 Sep 2013 09:23:11 +0100

health-check (0.01.22) saucy; urgency=low

  * Makefile: bump version
  * ctxt-switch: fix order of totals

 -- Colin King <colin.king@canonical.com>  Thu, 5 Sep 2013 18:40:31 +0100

health-check (0.01.21) saucy; urgency=low

  * Makefile: bump version again
  * ctxt_switch: handle processes that don't exist anymore

 -- Colin King <colin.king@canonical.com>  Thu, 5 Sep 2013 18:04:44 +0100

health-check (0.01.20) saucy; urgency=low

  * Makefile: bump version
  * syscall.h: forgot to set do_accounting to true for bog standard syscalls

 -- Colin King <colin.king@canonical.com>  Thu, 5 Sep 2013 17:10:22 +0100

health-check (0.01.19) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: remove debug return error check

 -- Colin King <colin.king@canonical.com>  Thu, 5 Sep 2013 12:51:32 +0100

health-check (0.01.18) saucy; urgency=low

  * Makefile: bump version
  * fnotify.c: fix memory leak on filename
  * syscall.c: avoid leaking info if s is NULL
  * syscall.c: avoid division by zero
  * syscall.c: don't exit, use wrapped exit to tidy
  * Ensure -v and -b flags cannot be enabled together
  * fnotify.c: Don't do lightweight wakelock processing if not enabled with -w
  * Add expensive system call wakelock probing
  * fnotify: Add helper to find filename from pid and fd
  * Add wakelock accounting, lightweight fnotifiers
  * event.c: Add fullstop

 -- Colin King <colin.king@canonical.com>  Wed, 4 Sep 2013 18:26:01 +0100

health-check (0.01.17) saucy; urgency=low

  * Makefile: bump version
  * Add context switch monitoring
  * cpustat.c: check for null stats being gathered
  * fnotify.c: fix spelling mistake in comment
  * syscall.c: fix formatting of "not applicable" fields

 -- Colin King <colin.king@canonical.com>  Mon, 2 Sep 2013 20:04:00 +0100

health-check (0.01.16) saucy; urgency=low

  * Makefile: bump version
  * health-check.c: cater for incorrect args
  * Make json optional
  * Don't allow health-check to run on itself or init

 -- Colin King <colin.king@canonical.com>  Tue, 6 Aug 2013 11:45:01 +0100

health-check (0.01.15) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: don't assume we have connect()
  * net.c: Set j_net_infos to NULL to stop gcc complaining
  * cpustat.c: Add more comments

 -- Colin King <colin.king@canonical.com>  Mon, 5 Aug 2013 23:41:12 +0100

health-check (0.01.14) saucy; urgency=low

  * Makefile: bump version
  * Allow user to SIGINT the tool if it is slow on resolving net addresses
  * net.c: Add json output
  * mem.c: add some more comments
  * Add in -r option to manual
  * Add network monitoring

 -- Colin King <colin.king@canonical.com>  Mon, 5 Aug 2013 23:24:25 +0100

health-check (0.01.13) saucy; urgency=low

  * Makefile: bump version
  * mem.c: handle cases where no mem delta found
  * syscall.c: fix ARM build errors

 -- Colin King <colin.king@canonical.com>  Sun, 4 Aug 2013 15:22:03 +0100

health-check (0.01.12) saucy; urgency=low

  * Makefile: bump version
  * mem.c make funcs static
  * Rework ptrace and mem logging
  * Enable per thread syscall tracing
  * syscall.c: remove another unused units assignment
  * syscall.c remove n_args check, it is an unused overhead
  * syscall.c: remove unused units assignment
  * syscall.c: be smarter about detecting syscall entry/exit
  * syscall.c: need timeval timeout for select
  * pid.c: fix ssize_t warning
  * fnotify.c: handle out of memory on strdup and calloc
  * pid.c: avoid buffer overflow
  * fnotify.c: ensure we don't fall off end of path
  * fnotify.c: only alloc io_ops if we need to add it to the list (mem leak fix)
  * syscall.c: remove duplicate #include <linux/ptrace.h>

 -- Colin King <colin.king@canonical.com>  Sun, 4 Aug 2013 13:25:23 +0100

health-check (0.01.11) saucy; urgency=low

  * Makefile: update version
  * Add more comments to syscalls
  * Add more comments to health-check
  * Add more comments to fnotify. minor code reformatting
  * Need to set total_delta to zero

 -- Colin King <colin.king@canonical.com>  Wed, 31 Jul 2013 01:44:45 +0100

health-check (0.01.10) saucy; urgency=low

  * Makefile: bump version
  * syscall is valid if it is zero or more.
  * Don't carp if we can't write to timer stats on exit
  * Tidy up main variables, cosmetic source changes only
  * Remove proc_cache_dump, it's not required anymore
  * Add -o option to manual

 -- Colin King <colin.king@canonical.com>  Wed, 31 Jul 2013 01:17:11 +0100

health-check (0.01.09) saucy; urgency=low

  * Makefile: bump version
  * debian: add libjson0-dev into control file

 -- Colin King <colin.king@canonical.com>  Tue, 30 Jul 2013 10:13:43 +0100

health-check (0.01.08) saucy; urgency=low

  * Makefile: bump version
  * Tidy up system call error return
  * Add more json logging on syscall returns
  * Use uint64_t for accounting
  * Add JSON output
  * Remove const in list data
  * Makefile: add in obj dependencies

 -- Colin King <colin.king@canonical.com>  Tue, 30 Jul 2013 20:30:01 +0100

health-check (0.01.07) saucy; urgency=low

  * Makefile: bump version
  * More consifications
  * Fix spelling mistake in comment
  * man: update 60 seconds default

 -- Colin King <colin.king@canonical.com>  Mon, 29 Jul 2013 15:25:22 +0100

health-check (0.01.06) saucy; urgency=low

  * Makefile: bump version
  * Remove unused variable
  * Add -b option to help and man page
  * Only emit messages if we've anything to report
  * Add heap size checking
  * Minor formatting change in brief mode
  * Minor tweak to formatting
  * Add brief mode option, and put some totals at end of tables

 -- Colin King <colin.king@canonical.com>  Mon, 29 Jul 2013 13:48:34 +0100

health-check (0.01.05) saucy; urgency=low

  * Bump version
  * Makefile: remove -g by default, don't break build on warnings

 -- Colin King <colin.king@canonical.com>  Thu, 25 Jul 2013 12:41:03 +0100

health-check (0.01.04) saucy; urgency=low

  * Bump version
  * update man page
  * Bump default run duration to 1 minute
  * More missing header changes
  * Forgot to include changes in header
  * Add -m maximum polling syscalls option
  * Minor tidyup
  * get i386 working, restructure to get args before sys call changes them

 -- Colin King <colin.king@canonical.com>  Thu, 25 Jul 2013 12:37:47 +0100

health-check (0.01.03) saucy; urgency=low

  * Enable ARM support
  * Re-structure the code, break into logical parts
  * Update prev_timeout and improve polling reporting
  * Update formatting of the output, cosmetic changes
  * File I/O process name should be cmdline rather than comm
  * Add some more info in tables
  * Clean up code, add more comments, tweak hash func
  * Join pthreads on exit. force exit on timeout
  * Minor formatting of syscall number
  * Add some system call return sanity checking on pollers
  * Re-organise timeout polling bucket display
  * Tidy up, rename a bunch of functions
  * Zero timeouts are another special corner case
  * Makefile: add pthread lib
  * Rework the ptrace stats, re-format code
  * Add first rough cut of ptrace tracing

 -- Colin King <colin.king@canonical.com>  Wed, 24 Jul 2013 22:26:33 +0100

health-check (0.01.02) saucy; urgency=low

  * Makefile: bump version
  * Add debian source/format file
  * Add man page
  * Update help info

 -- Colin King <colin.king@canonical.com>  Fri, 19 Jul 2013 17:09:12 +0100

health-check (0.01.01) saucy; urgency=low

  * Initial version

 -- Colin King <colin.king@canonical.com>  Fri, 19 Jul 2013 16:20:07 +0100
